Bug 182801 - emulators/mame: Update to version 0.150
Summary: emulators/mame: Update to version 0.150
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 19:10 UTC by tkato432
Modified: 2013-10-30 20:50 UTC (History)
0 users

See Also:


Attachments
file.shar (24.61 KB, text/plain)
2013-10-07 19:10 UTC, tkato432
no flags Details
emulators_mame.diff (12.07 KB, patch)
2013-10-26 18:45 UTC, tkato432
no flags Details | Diff
emulators_mess.diff (12.13 KB, patch)
2013-10-26 18:45 UTC, tkato432
no flags Details | Diff
emulators_qmc2.diff (2.28 KB, patch)
2013-10-26 18:45 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-10-07 19:10:01 UTC
- Update emulators/mame to version 0.150
- Update emulators/mess to version 0.150

[emulators/mame]
New file:
files/patch-src__osd__sdl__input.c
files/patch-src__osd__sdl__testkeys.c

Remove file:
files/patch-src__emu__cpu__m6502__m6502make.py
files/patch-src__emu__cpu__m6809__m6809make.py
files/patch-src__emu__cpu__mcs96__mcs96make.py
files/patch-src__emu__cpu__tms57002__tmsmake.py

[emulators/mess]
New file:
files/patch-src__osd__sdl__input.c
files/patch-src__osd__sdl__testkeys.c

Remove file:
files/patch-src__emu__cpu__m6502__m6502make.py
files/patch-src__emu__cpu__m6809__m6809make.py
files/patch-src__emu__cpu__mcs96__mcs96make.py
files/patch-src__emu__cpu__tms57002__tmsmake.py
Comment 1 tkato432 2013-10-26 18:45:17 UTC
Remake of the patch against current tree.
Comment 2 Pawel Pekala freebsd_committer 2013-10-30 18:37:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-10-30 20:42:13 UTC
Author: pawel
Date: Wed Oct 30 20:42:02 2013
New Revision: 332169
URL: http://svnweb.freebsd.org/changeset/ports/332169

Log:
  emulators/mame
  emulators/mess
   - Update to version 0.150
   - Add SDL2 option
   - Support staging
  
  emulators/qmc2
   - Support staging
   - USE_GMAKE -> USES=gmake
  
  PR:		ports/182801
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/emulators/mame/files/patch-src__osd__sdl__input.c   (contents, props changed)
  head/emulators/mame/files/patch-src__osd__sdl__testkeys.c   (contents, props changed)
  head/emulators/mess/files/patch-src__osd__sdl__input.c   (contents, props changed)
  head/emulators/mess/files/patch-src__osd__sdl__testkeys.c   (contents, props changed)
Deleted:
  head/emulators/mame/files/patch-src__emu__cpu__m6502__m6502make.py
  head/emulators/mame/files/patch-src__emu__cpu__m6809__m6809make.py
  head/emulators/mame/files/patch-src__emu__cpu__mcs96__mcs96make.py
  head/emulators/mame/files/patch-src__emu__cpu__tms57002__tmsmake.py
  head/emulators/mess/files/patch-src__emu__cpu__m6502__m6502make.py
  head/emulators/mess/files/patch-src__emu__cpu__m6809__m6809make.py
  head/emulators/mess/files/patch-src__emu__cpu__mcs96__mcs96make.py
  head/emulators/mess/files/patch-src__emu__cpu__tms57002__tmsmake.py
Modified:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/pkg-plist
  head/emulators/mess/Makefile
  head/emulators/mess/distinfo
  head/emulators/mess/pkg-plist
  head/emulators/qmc2/Makefile

Modified: head/emulators/mame/Makefile
==============================================================================
--- head/emulators/mame/Makefile	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/mame/Makefile	Wed Oct 30 20:42:02 2013	(r332169)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mame
-PORTVERSION=	0.149${PATCHSUFFIX}
-PORTREVISION=	1
+PORTVERSION=	0.150${PATCHSUFFIX}
 CATEGORIES=	emulators
 MASTER_SITES=	SF/${PORTNAME}.mirror/${PORTNAME:U}%20${PORTVERSION} \
 		http://mame.mirrors.zippykid.com/releases/ \
@@ -17,34 +16,34 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Multi Arcade Machine Emulator
 
-LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		expat:${PORTSDIR}/textproc/expat2 \
-		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
+LIB_DEPENDS=	libFLAC.so:${PORTSDIR}/audio/flac \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
 RUN_DEPENDS=	liberation-fonts-ttf>=0:${PORTSDIR}/x11-fonts/liberation-fonts-ttf
 
-OPTIONS_DEFINE=	DEBUG DOCS EXAMPLES
+OPTIONS_DEFINE=	SDL2 DEBUG DOCS EXAMPLES
 OPTIONS_RADIO=	BUILTIN_DEBUGGER
 OPTIONS_RADIO_BUILTIN_DEBUGGER=	GTK2 QT4
+SDL2_DESC=	SDL2 libraries support
 BUILTIN_DEBUGGER_DESC=	Builtin debugger support
 
 NO_WRKSUBDIR=	yes
 
 USE_ZIP=	yes
-USES=		pkgconfig shebangfix
+USES=		gmake pkgconfig shebangfix
 SHEBANG_FILES=	src/emu/cpu/m6502/m6502make.py \
 		src/emu/cpu/m6809/m6809make.py \
 		src/emu/cpu/mcs96/mcs96make.py \
 		src/emu/cpu/tms57002/tmsmake.py
-USE_DOS2UNIX=	${SHEBANG_FILES}
+USE_DOS2UNIX=	src/osd/sdl/input.c \
+		src/osd/sdl/testkeys.c
 USE_XORG=	xext xi xinerama xrender
 USE_GL=		gl
-USE_SDL=	sdl ttf
 USE_PYTHON_BUILD=yes
-USE_GMAKE=	yes
-MAKE_ENV=	NOWERROR=1 OPTIMIZE=0 USE_NETWORK=1 \
+MAKE_ENV=	NOWERROR=1 USE_NETWORK=1 \
 		OPT_FLAGS="${CXXFLAGS}" GCC_LDFLAGS="${LDFLAGS}" \
-		TARGET="${PORTNAME}"
+		TARGET="${PORTNAME}" FULLNAME="${PORTNAME}"
 MAKEFILE=	makefile
 
 SUB_FILES=	pkg-message
@@ -58,9 +57,15 @@ UPDATE_PATCHES!=	/usr/bin/jot -s " " \
 		${PATCHLEVEL} 1 ${PATCHLEVEL}
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MSDL2}
+USE_SDL=	sdl2 ttf2
+MAKE_ENV+=	SDL_LIBVER="sdl2"
+.else
+USE_SDL=	sdl ttf
+.endif
+
 .if ${PORT_OPTIONS:MDEBUG}
 MAKE_ENV+=	DEBUG=1
 .endif
@@ -120,12 +125,14 @@ post-patch:
 		 s|^BUILD_JPEGLIB|# BUILD_JPEGLIB| ; \
 		 s| = @gcc| := $$(CC)| ; \
 		 s| = @g++| := $$(CXX)| ; \
-		 s|^FULLNAME =.*|FULLNAME = $$(NAME)| ; \
+		 s|-O$$(OPTIMIZE)|| ; \
 		 /--warn-common/s|= -Wl,|= $$(GCC_LDFLAGS) -Wl,| ; \
 		 /LDFLAGS/s|-s|| ; \
 		 /LIBS/s|-lstdc++|| ; \
 		 /LIBS/s|-lpthread|-pthread|' ${WRKSRC}/makefile
 	@${REINPLACE_CMD} -e \
+		'/realloc/s|^|// |' ${WRKSRC}/src/emu/emualloc.h
+	@${REINPLACE_CMD} -e \
 		'/LIBS/s|-lpthread|-pthread| ; \
 		 /-system/s|/usr/local/|${LOCALBASE}/| ; \
 		 /--cflags-only-I gtk+-2.0/s|=.*|= $$(GTK_INCPATH)| ; \
@@ -134,23 +141,21 @@ post-patch:
 		 /X11R6/s|^|#|' ${WRKSRC}/src/osd/sdl/sdl.mak
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	@${MKDIR} ${PREFIX}/libexec/${PORTNAME}
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${PREFIX}/libexec/${PORTNAME}
 .for F in chdman jedutil ldresample ldverify romcmp testkeys unidasm
-	${INSTALL_PROGRAM} ${WRKSRC}/${F} ${PREFIX}/libexec/${PORTNAME}
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${F} \
+		${STAGEDIR}${PREFIX}/libexec/${PORTNAME})
 .endfor
-	@${MKDIR} ${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${DATADIR})
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${DATADIR})
-	@(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps ${DATADIR})
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${DOCSDIR})
-.endif
-.if ${PORT_OPTIONS:MEXAMPLES}
-	@${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${FILESDIR}/mame.ini ${EXAMPLESDIR}
-.endif
-	@${CAT} ${PKGMESSAGE}
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${STAGEDIR}${DATADIR})
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${STAGEDIR}${DATADIR})
+	@(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps \
+		${STAGEDIR}${DATADIR})
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	(cd ${FILESDIR} && ${INSTALL_DATA} mame.ini ${STAGEDIR}${EXAMPLESDIR})
 
 .include <bsd.port.post.mk>

Modified: head/emulators/mame/distinfo
==============================================================================
--- head/emulators/mame/distinfo	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/mame/distinfo	Wed Oct 30 20:42:02 2013	(r332169)
@@ -1,2 +1,2 @@
-SHA256 (mame/mame0149s.zip) = 0e41b5773bea217d3ca04002903ac5ef569e6f5b67c05c72496d2cd7993b0a6b
-SIZE (mame/mame0149s.zip) = 35160585
+SHA256 (mame/mame0150s.zip) = e672b033baa001e1a909498b6c9206c68d0456fd883e410ad50f1a4f4c2253f7
+SIZE (mame/mame0150s.zip) = 35999158

Added: head/emulators/mame/files/patch-src__osd__sdl__input.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mame/files/patch-src__osd__sdl__input.c	Wed Oct 30 20:42:02 2013	(r332169)
@@ -0,0 +1,14 @@
+--- src/osd/sdl/input.c.orig
++++ src/osd/sdl/input.c
+@@ -720,7 +720,11 @@
+ 	mame_printf_verbose("Joystick: Start initialization\n");
+ 	for (physical_stick = 0; physical_stick < SDL_NumJoysticks(); physical_stick++)
+ 	{
++#if (SDLMAME_SDL2)
++		char *joy_name = remove_spaces(machine, SDL_JoystickNameForIndex(physical_stick));
++#else
+ 		char *joy_name = remove_spaces(machine, SDL_JoystickName(physical_stick));
++#endif
+ 
+ 		devmap_register(&joy_map, physical_stick, joy_name);
+ 	}

Added: head/emulators/mame/files/patch-src__osd__sdl__testkeys.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mame/files/patch-src__osd__sdl__testkeys.c	Wed Oct 30 20:42:02 2013	(r332169)
@@ -0,0 +1,18 @@
+--- src/osd/sdl/testkeys.c.orig
++++ src/osd/sdl/testkeys.c
+@@ -146,7 +146,6 @@
+ 				printf("ITEM_ID_XY %s 0x%x 0x%x %s\n",
+ 					lookup_key_name(sdl_lookup, event.key.keysym.scancode),
+ 					(int) event.key.keysym.scancode,
+-					(int) event.key.keysym.unicode,
+ 					"");
+ 				lasttext[0] = 0;
+ #else
+@@ -165,7 +164,6 @@
+ 			printf("ITEM_ID_XY %s 0x%x 0x%x %s\n",
+ 					lookup_key_name(sdl_lookup, event.key.keysym.scancode),
+ 					(int) event.key.keysym.scancode,
+-					(int) event.key.keysym.unicode,
+ 					lasttext);
+ #else
+ 			memset(buf, 0, 19);

Modified: head/emulators/mame/pkg-plist
==============================================================================
--- head/emulators/mame/pkg-plist	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/mame/pkg-plist	Wed Oct 30 20:42:02 2013	(r332169)
@@ -27,6 +27,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/a5200.xml
 %%DATADIR%%/hash/a7800.xml
 %%DATADIR%%/hash/a800.xml
+%%DATADIR%%/hash/a800_flop.xml
 %%DATADIR%%/hash/abc1600.xml
 %%DATADIR%%/hash/abc80.xml
 %%DATADIR%%/hash/abc800.xml
@@ -39,6 +40,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/aim65_cart.xml
 %%DATADIR%%/hash/alice32.xml
 %%DATADIR%%/hash/alice90.xml
+%%DATADIR%%/hash/alphatro_flop.xml
 %%DATADIR%%/hash/amiga1000_flop.xml
 %%DATADIR%%/hash/amiga1200_flop.xml
 %%DATADIR%%/hash/amiga3000_flop.xml
@@ -49,6 +51,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/amigaaga_flop.xml
 %%DATADIR%%/hash/amigaecs_flop.xml
 %%DATADIR%%/hash/amigaocs_flop.xml
+%%DATADIR%%/hash/ampro.xml
 %%DATADIR%%/hash/apc.xml
 %%DATADIR%%/hash/apfm1000.xml
 %%DATADIR%%/hash/apogee.xml
@@ -67,6 +70,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/bbcm_cart.xml
 %%DATADIR%%/hash/bbcm_cass.xml
 %%DATADIR%%/hash/bk0010.xml
+%%DATADIR%%/hash/bml3_flop.xml
 %%DATADIR%%/hash/bw12.xml
 %%DATADIR%%/hash/bw2.xml
 %%DATADIR%%/hash/bx256hp_flop.xml
@@ -89,16 +93,19 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/coleco.xml
 %%DATADIR%%/hash/compis.xml
 %%DATADIR%%/hash/comx35_flop.xml
+%%DATADIR%%/hash/copera.xml
 %%DATADIR%%/hash/cpc_cass.xml
 %%DATADIR%%/hash/cpc_flop.xml
 %%DATADIR%%/hash/crvision.xml
 %%DATADIR%%/hash/dim68k.xml
+%%DATADIR%%/hash/dps1.xml
 %%DATADIR%%/hash/ec1841.xml
 %%DATADIR%%/hash/einstein.xml
 %%DATADIR%%/hash/electron_cart.xml
 %%DATADIR%%/hash/ep64_cart.xml
 %%DATADIR%%/hash/ep64_cass.xml
 %%DATADIR%%/hash/ep64_flop.xml
+%%DATADIR%%/hash/famicom_cass.xml
 %%DATADIR%%/hash/famicom_flop.xml
 %%DATADIR%%/hash/fm77av.xml
 %%DATADIR%%/hash/fm7_cass.xml
@@ -246,6 +253,7 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/snes.xml
 %%DATADIR%%/hash/snes_bspack.xml
 %%DATADIR%%/hash/snes_strom.xml
+%%DATADIR%%/hash/snes_vkun.xml
 %%DATADIR%%/hash/socrates.xml
 %%DATADIR%%/hash/softbox.xml
 %%DATADIR%%/hash/softwarelist.dtd
@@ -294,13 +302,16 @@ libexec/mame/unidasm
 %%DATADIR%%/hash/vic1001_cart.xml
 %%DATADIR%%/hash/vic1001_cass.xml
 %%DATADIR%%/hash/vic1001_flop.xml
+%%DATADIR%%/hash/victor9k_flop.xml
 %%DATADIR%%/hash/vidbrain.xml
 %%DATADIR%%/hash/vii.xml
 %%DATADIR%%/hash/vip.xml
+%%DATADIR%%/hash/visicom.xml
 %%DATADIR%%/hash/vixen.xml
 %%DATADIR%%/hash/vsmile_cart.xml
 %%DATADIR%%/hash/vsmile_cd.xml
 %%DATADIR%%/hash/wangpc.xml
+%%DATADIR%%/hash/wicat.xml
 %%DATADIR%%/hash/wmbullet.xml
 %%DATADIR%%/hash/wscolor.xml
 %%DATADIR%%/hash/wswan.xml

Modified: head/emulators/mess/Makefile
==============================================================================
--- head/emulators/mess/Makefile	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/mess/Makefile	Wed Oct 30 20:42:02 2013	(r332169)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mess
-PORTVERSION=	0.149${PATCHSUFFIX}
-PORTREVISION=	1
+PORTVERSION=	0.150${PATCHSUFFIX}
 CATEGORIES=	emulators
 MASTER_SITES=	SF/mame.mirror/MAME%20${PORTVERSION} \
 		http://mame.mirrors.zippykid.com/releases/ \
@@ -17,34 +16,34 @@ DIST_SUBDIR=	mame
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Multiple Emulator Super System
 
-LIB_DEPENDS=	FLAC:${PORTSDIR}/audio/flac \
-		jpeg:${PORTSDIR}/graphics/jpeg \
-		expat:${PORTSDIR}/textproc/expat2 \
-		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
+LIB_DEPENDS=	libFLAC.so:${PORTSDIR}/audio/flac \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libexpat.so:${PORTSDIR}/textproc/expat2 \
+		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
 RUN_DEPENDS=	liberation-fonts-ttf>=0:${PORTSDIR}/x11-fonts/liberation-fonts-ttf
 
-OPTIONS_DEFINE=	DEBUG DOCS EXAMPLES
+OPTIONS_DEFINE=	SDL2 DEBUG DOCS EXAMPLES
 OPTIONS_RADIO=	BUILTIN_DEBUGGER
 OPTIONS_RADIO_BUILTIN_DEBUGGER=	GTK2 QT4
+SDL2_DESC=	SDL2 libraries support
 BUILTIN_DEBUGGER_DESC=	Builtin debugger support
 
 NO_WRKSUBDIR=	yes
 
 USE_ZIP=	yes
-USES=		pkgconfig shebangfix
+USES=		gmake pkgconfig shebangfix
 SHEBANG_FILES=	src/emu/cpu/m6502/m6502make.py \
 		src/emu/cpu/m6809/m6809make.py \
 		src/emu/cpu/mcs96/mcs96make.py \
 		src/emu/cpu/tms57002/tmsmake.py
-USE_DOS2UNIX=	${SHEBANG_FILES}
+USE_DOS2UNIX=	src/osd/sdl/input.c \
+		src/osd/sdl/testkeys.c
 USE_XORG=	xext xi xinerama xrender
 USE_GL=		gl
-USE_SDL=	sdl ttf
 USE_PYTHON_BUILD=yes
-USE_GMAKE=	yes
-MAKE_ENV=	NOWERROR=1 OPTIMIZE=0 USE_NETWORK=1 \
+MAKE_ENV=	NOWERROR=1 USE_NETWORK=1 \
 		OPT_FLAGS="${CXXFLAGS}" GCC_LDFLAGS="${LDFLAGS}" \
-		TARGET="${PORTNAME}"
+		TARGET="${PORTNAME}" FULLNAME="${PORTNAME}"
 MAKEFILE=	makefile
 
 SUB_FILES=	pkg-message
@@ -58,9 +57,15 @@ UPDATE_PATCHES!=	/usr/bin/jot -s " " \
 		${PATCHLEVEL} 1 ${PATCHLEVEL}
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MSDL2}
+USE_SDL=	sdl2 ttf2
+MAKE_ENV+=	SDL_LIBVER="sdl2"
+.else
+USE_SDL=	sdl ttf
+.endif
+
 .if ${PORT_OPTIONS:MDEBUG}
 MAKE_ENV+=	DEBUG=1
 .endif
@@ -120,12 +125,14 @@ post-patch:
 		 s|^BUILD_JPEGLIB|# BUILD_JPEGLIB| ; \
 		 s| = @gcc| := $$(CC)| ; \
 		 s| = @g++| := $$(CXX)| ; \
-		 s|^FULLNAME =.*|FULLNAME = $$(NAME)| ; \
+		 s|-O$$(OPTIMIZE)|| ; \
 		 /--warn-common/s|= -Wl,|= $$(GCC_LDFLAGS) -Wl,| ; \
 		 /LDFLAGS/s|-s|| ; \
 		 /LIBS/s|-lstdc++|| ; \
 		 /LIBS/s|-lpthread|-pthread|' ${WRKSRC}/makefile
 	@${REINPLACE_CMD} -e \
+		'/realloc/s|^|// |' ${WRKSRC}/src/emu/emualloc.h
+	@${REINPLACE_CMD} -e \
 		'/LIBS/s|-lpthread|-pthread| ; \
 		 /-system/s|/usr/local/|${LOCALBASE}/| ; \
 		 /--cflags-only-I gtk+-2.0/s|=.*|= $$(GTK_INCPATH)| ; \
@@ -134,24 +141,22 @@ post-patch:
 		 /X11R6/s|^|#|' ${WRKSRC}/src/osd/sdl/sdl.mak
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	@${MKDIR} ${PREFIX}/libexec/${PORTNAME}
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}/${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}/${PREFIX}/libexec/${PORTNAME}
 .for F in castool chdman imgtool jedutil ldresample ldverify romcmp \
 	testkeys unidasm
-	${INSTALL_PROGRAM} ${WRKSRC}/${F} ${PREFIX}/libexec/${PORTNAME}
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${F} \
+		${STAGEDIR}/${PREFIX}/libexec/${PORTNAME})
 .endfor
-	@${MKDIR} ${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${DATADIR})
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${DATADIR})
-	@(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps ${DATADIR})
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${DOCSDIR})
-.endif
-.if ${PORT_OPTIONS:MEXAMPLES}
-	@${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${FILESDIR}/mess.ini ${EXAMPLESDIR}
-.endif
-	@${CAT} ${PKGMESSAGE}
+	@${MKDIR} ${STAGEDIR}/${DATADIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} artwork ${STAGEDIR}/${DATADIR})
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} hash ${STAGEDIR}/${DATADIR})
+	@(cd ${WRKSRC}/src/osd/sdl && ${COPYTREE_SHARE} keymaps \
+		${STAGEDIR}/${DATADIR})
+	@${MKDIR} ${STAGEDIR}/${DOCSDIR}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} docs ${STAGEDIR}/${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}/${EXAMPLESDIR}
+	(cd ${FILESDIR} && ${INSTALL_DATA} mess.ini ${STAGEDIR}/${EXAMPLESDIR})
 
 .include <bsd.port.post.mk>

Modified: head/emulators/mess/distinfo
==============================================================================
--- head/emulators/mess/distinfo	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/mess/distinfo	Wed Oct 30 20:42:02 2013	(r332169)
@@ -1,2 +1,2 @@
-SHA256 (mame/mame0149s.zip) = 0e41b5773bea217d3ca04002903ac5ef569e6f5b67c05c72496d2cd7993b0a6b
-SIZE (mame/mame0149s.zip) = 35160585
+SHA256 (mame/mame0150s.zip) = e672b033baa001e1a909498b6c9206c68d0456fd883e410ad50f1a4f4c2253f7
+SIZE (mame/mame0150s.zip) = 35999158

Added: head/emulators/mess/files/patch-src__osd__sdl__input.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mess/files/patch-src__osd__sdl__input.c	Wed Oct 30 20:42:02 2013	(r332169)
@@ -0,0 +1,14 @@
+--- src/osd/sdl/input.c.orig
++++ src/osd/sdl/input.c
+@@ -720,7 +720,11 @@
+ 	mame_printf_verbose("Joystick: Start initialization\n");
+ 	for (physical_stick = 0; physical_stick < SDL_NumJoysticks(); physical_stick++)
+ 	{
++#if (SDLMAME_SDL2)
++		char *joy_name = remove_spaces(machine, SDL_JoystickNameForIndex(physical_stick));
++#else
+ 		char *joy_name = remove_spaces(machine, SDL_JoystickName(physical_stick));
++#endif
+ 
+ 		devmap_register(&joy_map, physical_stick, joy_name);
+ 	}

Added: head/emulators/mess/files/patch-src__osd__sdl__testkeys.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/mess/files/patch-src__osd__sdl__testkeys.c	Wed Oct 30 20:42:02 2013	(r332169)
@@ -0,0 +1,38 @@
+--- src/osd/sdl/testkeys.c.orig	2013-10-30 21:16:48.577335486 +0100
++++ src/osd/sdl/testkeys.c	2013-10-30 21:27:06.551455870 +0100
+@@ -146,7 +146,7 @@
+ 				printf("ITEM_ID_XY %s 0x%x 0x%x %s\n",
+ 					lookup_key_name(sdl_lookup, event.key.keysym.scancode),
+ 					(int) event.key.keysym.scancode,
+-					(int) event.key.keysym.unicode,
++					(int) event.key.keysym.mod,
+ 					"");
+ 				lasttext[0] = 0;
+ #else
+@@ -155,7 +155,7 @@
+ 				printf("ITEM_ID_XY %s 0x%x 0x%x %s\n",
+ 					lookup_key_name(sdl_lookup, event.key.keysym.sym),
+ 					(int) event.key.keysym.scancode,
+-					(int) event.key.keysym.unicode,
++					(int) event.key.keysym.mod,
+ 					buf);
+ #endif
+ 			}
+@@ -165,7 +165,7 @@
+ 			printf("ITEM_ID_XY %s 0x%x 0x%x %s\n",
+ 					lookup_key_name(sdl_lookup, event.key.keysym.scancode),
+ 					(int) event.key.keysym.scancode,
+-					(int) event.key.keysym.unicode,
++					(int) event.key.keysym.mod,
+ 					lasttext);
+ #else
+ 			memset(buf, 0, 19);
+@@ -173,7 +173,7 @@
+ 			printf("ITEM_ID_XY %s 0x%x 0x%x %s\n",
+ 					lookup_key_name(sdl_lookup, event.key.keysym.sym),
+ 					(int) event.key.keysym.scancode,
+-					(int) event.key.keysym.unicode,
++					(int) event.key.keysym.mod,
+ 					buf);
+ #endif
+ 			break;

Modified: head/emulators/mess/pkg-plist
==============================================================================
--- head/emulators/mess/pkg-plist	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/mess/pkg-plist	Wed Oct 30 20:42:02 2013	(r332169)
@@ -29,6 +29,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/a5200.xml
 %%DATADIR%%/hash/a7800.xml
 %%DATADIR%%/hash/a800.xml
+%%DATADIR%%/hash/a800_flop.xml
 %%DATADIR%%/hash/abc1600.xml
 %%DATADIR%%/hash/abc80.xml
 %%DATADIR%%/hash/abc800.xml
@@ -41,6 +42,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/aim65_cart.xml
 %%DATADIR%%/hash/alice32.xml
 %%DATADIR%%/hash/alice90.xml
+%%DATADIR%%/hash/alphatro_flop.xml
 %%DATADIR%%/hash/amiga1000_flop.xml
 %%DATADIR%%/hash/amiga1200_flop.xml
 %%DATADIR%%/hash/amiga3000_flop.xml
@@ -51,6 +53,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/amigaaga_flop.xml
 %%DATADIR%%/hash/amigaecs_flop.xml
 %%DATADIR%%/hash/amigaocs_flop.xml
+%%DATADIR%%/hash/ampro.xml
 %%DATADIR%%/hash/apc.xml
 %%DATADIR%%/hash/apfm1000.xml
 %%DATADIR%%/hash/apogee.xml
@@ -69,6 +72,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/bbcm_cart.xml
 %%DATADIR%%/hash/bbcm_cass.xml
 %%DATADIR%%/hash/bk0010.xml
+%%DATADIR%%/hash/bml3_flop.xml
 %%DATADIR%%/hash/bw12.xml
 %%DATADIR%%/hash/bw2.xml
 %%DATADIR%%/hash/bx256hp_flop.xml
@@ -91,16 +95,19 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/coleco.xml
 %%DATADIR%%/hash/compis.xml
 %%DATADIR%%/hash/comx35_flop.xml
+%%DATADIR%%/hash/copera.xml
 %%DATADIR%%/hash/cpc_cass.xml
 %%DATADIR%%/hash/cpc_flop.xml
 %%DATADIR%%/hash/crvision.xml
 %%DATADIR%%/hash/dim68k.xml
+%%DATADIR%%/hash/dps1.xml
 %%DATADIR%%/hash/ec1841.xml
 %%DATADIR%%/hash/einstein.xml
 %%DATADIR%%/hash/electron_cart.xml
 %%DATADIR%%/hash/ep64_cart.xml
 %%DATADIR%%/hash/ep64_cass.xml
 %%DATADIR%%/hash/ep64_flop.xml
+%%DATADIR%%/hash/famicom_cass.xml
 %%DATADIR%%/hash/famicom_flop.xml
 %%DATADIR%%/hash/fm77av.xml
 %%DATADIR%%/hash/fm7_cass.xml
@@ -248,6 +255,7 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/snes.xml
 %%DATADIR%%/hash/snes_bspack.xml
 %%DATADIR%%/hash/snes_strom.xml
+%%DATADIR%%/hash/snes_vkun.xml
 %%DATADIR%%/hash/socrates.xml
 %%DATADIR%%/hash/softbox.xml
 %%DATADIR%%/hash/softwarelist.dtd
@@ -296,13 +304,16 @@ libexec/mess/unidasm
 %%DATADIR%%/hash/vic1001_cart.xml
 %%DATADIR%%/hash/vic1001_cass.xml
 %%DATADIR%%/hash/vic1001_flop.xml
+%%DATADIR%%/hash/victor9k_flop.xml
 %%DATADIR%%/hash/vidbrain.xml
 %%DATADIR%%/hash/vii.xml
 %%DATADIR%%/hash/vip.xml
+%%DATADIR%%/hash/visicom.xml
 %%DATADIR%%/hash/vixen.xml
 %%DATADIR%%/hash/vsmile_cart.xml
 %%DATADIR%%/hash/vsmile_cd.xml
 %%DATADIR%%/hash/wangpc.xml
+%%DATADIR%%/hash/wicat.xml
 %%DATADIR%%/hash/wmbullet.xml
 %%DATADIR%%/hash/wscolor.xml
 %%DATADIR%%/hash/wswan.xml

Modified: head/emulators/qmc2/Makefile
==============================================================================
--- head/emulators/qmc2/Makefile	Wed Oct 30 20:37:55 2013	(r332168)
+++ head/emulators/qmc2/Makefile	Wed Oct 30 20:42:02 2013	(r332169)
@@ -18,12 +18,12 @@ OPTIONS_DEFINE=	DOCS
 NO_WRKSUBDIR=	yes
 
 USE_BZIP2=	yes
+USES=		gmake
 USE_XORG=	xmu
 USE_GL=		glu
 USE_QT4=	gui opengl phonon qtestlib webkit xml \
 		moc_build qmake_build rcc_build uic_build
 USE_SDL=	sdl
-USE_GMAKE=	yes
 MAKE_ARGS=	QTDIR="${QT_PREFIX}" QMAKE="${QMAKE}" \
 		SYSCONFDIR="${PREFIX}/etc" ARCH="${OPSYS}" \
 		CC_FLAGS="${CFLAGS}" CXX_FLAGS="${CXXFLAGS}" \
@@ -34,7 +34,6 @@ DESKTOP_ENTRIES="QMC2 (MAME)" "MAME fron
 		"QMC2 (MESS)" "MESS frontend" "${DATADIR}/img/mess.png" \
 		"${PORTNAME}-sdlmess" "Game;Emulator;Qt;" "true"
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 post-extract:
@@ -48,20 +47,24 @@ post-patch:
 		< qmc2.ini.template > qmc2.ini)
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/qmc2/qmc2-sdlmame ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/qmc2-sdlmess/qmc2-sdlmess ${PREFIX}/bin
-	@${MKDIR} ${ETCDIR}
-	${INSTALL_DATA} ${WRKSRC}/qmc2/inst/qmc2.ini ${ETCDIR}
-	@${MKDIR} ${DATADIR}/img
-	@(cd ${WRKSRC}/qmc2/data/img; ${COPYTREE_SHARE} . ${DATADIR}/img)
-	@${MKDIR} ${DATADIR}/lng
-	${INSTALL_DATA} ${WRKSRC}/qmc2/data/lng/qmc2_*.qm ${DATADIR}/lng
-	@${MKDIR} ${DATADIR}/opt
-	@(cd ${WRKSRC}/qmc2/data/opt; ${COPYTREE_SHARE} . ${DATADIR}/opt)
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}/html
-	@(cd ${WRKSRC}/qmc2/data/doc/html; ${COPYTREE_SHARE} . ${DOCSDIR}/html)
-.endif
-	@${CAT} ${PKGMESSAGE}
+	(cd ${WRKSRC}/qmc2 && ${INSTALL_PROGRAM} qmc2-sdlmame \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC}/qmc2-sdlmess && ${INSTALL_PROGRAM} qmc2-sdlmess \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${ETCDIR}
+	(cd ${WRKSRC}/qmc2/inst && ${INSTALL_DATA} qmc2.ini \
+		${STAGEDIR}${ETCDIR})
+	@${MKDIR} ${STAGEDIR}${DATADIR}/img
+	@(cd ${WRKSRC}/qmc2/data/img; ${COPYTREE_SHARE} . \
+		${STAGEDIR}${DATADIR}/img)
+	@${MKDIR} ${STAGEDIR}${DATADIR}/lng
+	(cd ${WRKSRC}/qmc2/data/lng && ${INSTALL_DATA} qmc2_*.qm \
+		${STAGEDIR}${DATADIR}/lng)
+	@${MKDIR} ${STAGEDIR}${DATADIR}/opt
+	@(cd ${WRKSRC}/qmc2/data/opt; ${COPYTREE_SHARE} . \
+		${STAGEDIR}${DATADIR}/opt)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}/html
+	@(cd ${WRKSRC}/qmc2/data/doc/html; ${COPYTREE_SHARE} . \
+		${STAGEDIR}${DOCSDIR}/html)
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2013-10-30 20:42:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!